## kdpkg-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kdpkg )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( icon )
add_subdirectory( ${PROJECT_NAME}         )
add_subdirectory( ${PROJECT_NAME}-install )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== doc/man/CMakeLists.txt ===
INSTALL(
    FILES ${PROJECT_NAME}.1 ${PROJECT_NAME}-install.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

## kdpkg-trinity 3.5.13.2

=== debian/changelog ===
kdpkg-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:26:10 +0200

kdpkg-trinity (0.1-0ubuntu2) lucid; urgency=low

  * Initial Lucid build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Apr 2010 21:20:00 -0600

kdpkg (0.1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #201709)

 -- Alexander Kopf <kopf-alexander@gmx.de>  Thu, 03 Jul 2008 22:15:34 +0200

=== debian/control ===
Source: kdpkg-trinity
Section: admin
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev, gettext, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdpkg-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apt, dpkg (>=1.14), sudo-trinity, menu
Description: KDE frontend for dpkg [Trinity]
 kdpkg is a utility for installing .deb package files.
 It is similar to gdebi, except that kdpkg is a KDE application

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

binary-install/kdpkg-trinity::
	mv debian/kdpkg-trinity/usr/share/man debian/kdpkg-trinity/opt/trinity/share/

## kdpkg-trinity 14.0.4

=== debian/changelog ===
kdpkg-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:18:20 +0200

=== debian/control ===
Source: kdpkg-trinity
Section: admin
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, gettext, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdpkg-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apt, dpkg (>=1.14), sudo-trinity, menu
Replaces: kdpkg-kde3 (<< 4:14.0.0~), kdpkg-trinity (<< 4:14.0.0~)
Breaks: kdpkg-kde3 (<< 4:14.0.0~), kdpkg-trinity (<< 4:14.0.0~)
Description: TDE frontend for dpkg [Trinity]
 kdpkg is a utility for installing .deb package files.
 It is similar to gdebi, except that kdpkg is a TDE application

## kdpkg-trinity 14.0.5

=== debian/changelog ===
kdpkg-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:29:11 +0200

## kdpkg-trinity 14.0.6

=== debian/changelog ===
kdpkg-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, gettext, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: kdpkg-trinity

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
   
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -17,10 +17,15 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 
 	make -f admin/Makefile.common cvs

## kdpkg-trinity 14.0.8

=== debian/changelog ===
kdpkg-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kdpkg-trinity

## kdpkg-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kdpkg )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -41,15 +41,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                             )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all"           ON )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks
@@ -69,10 +69,10 @@
 ##### directories
 
 add_subdirectory( icon )
-add_subdirectory( ${PROJECT_NAME}         )
+add_subdirectory( ${PROJECT_NAME} )
 add_subdirectory( ${PROJECT_NAME}-install )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== debian/changelog ===
kdpkg-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:05:38 +0200

## kdpkg-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kdpkg )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
kdpkg-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## kdpkg-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kdpkg )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -71,8 +71,12 @@
 add_subdirectory( icon )
 add_subdirectory( ${PROJECT_NAME} )
 add_subdirectory( ${PROJECT_NAME}-install )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kdpkg-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 16:07:36 +0200

## kdpkg-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kdpkg )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
kdpkg-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:43 +0100

## kdpkg-trinity 14.0.13

=== debian/changelog ===
kdpkg-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Sep 2022 03:53:47 +0200

## kdpkg-trinity 14.1.0

=== debian/changelog ===
kdpkg-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 09 Mar 2023 12:14:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kdpkg-trinity
 Section: admin
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kdpkg-trinity

## kdpkg-trinity 14.1.1

=== debian/changelog ===
kdpkg-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Aug 2023 23:44:46 +0200

## kdpkg-trinity 14.1.2

=== debian/changelog ===
kdpkg-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:36 +0200

## kdpkg-trinity 14.1.3

=== debian/changelog ===
kdpkg-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 05 Oct 2024 23:41:44 +0200

## kdpkg-trinity 14.1.4

=== debian/changelog ===
kdpkg-trinity (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: kdpkg-trinity
Section: admin
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kdpkg-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apt, dpkg (>=1.14), sudo-trinity, menu
Replaces: kdpkg-trinity (<< 4:14.0.0~)
Breaks: kdpkg-trinity (<< 4:14.0.0~)
Description: TDE frontend for dpkg [Trinity]
 kdpkg is a utility for installing .deb package files.
 It is similar to gdebi, except that kdpkg is a TDE application

## kdpkg-trinity 14.1.5~pre1

=== debian/changelog ===
kdpkg-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 387abed33621a5f2ce36b72c63d92b195d406627
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdpkg-trinity 14.1.5

=== kdpkg-install/icons/CMakeLists.txt ===
file( GLOB _pics RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )

install(
    FILES ${_pics}
    DESTINATION ${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}/icons
)

=== debian/changelog ===
kdpkg-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: kdpkg-trinity
Section: admin
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Alexander Kopf <kopf-alexander@gmx.de>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kdpkg-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apt, dpkg (>=1.14), sudo-trinity, menu
Replaces: kdpkg-kde3 (<< 4:14.0.0~), kdpkg-trinity (<< 4:14.0.0~)
Breaks: kdpkg-kde3 (<< 4:14.0.0~), kdpkg-trinity (<< 4:14.0.0~)
Description: TDE frontend for dpkg [Trinity]
 kdpkg is a utility for installing .deb package files.
 It is similar to gdebi, except that kdpkg is a TDE application

## kdpkg-trinity 14.1.6~pre0

=== debian/changelog ===
kdpkg-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 387abed33621a5f2ce36b72c63d92b195d406627
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kdpkg-trinity 14.1.6~pre1

=== debian/changelog ===
kdpkg-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b71ee2bd0a18eb2cb359d9e39fa7a9e7691c393c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:57:57 +0100

## kdpkg-trinity 14.2.0~pre49

=== debian/changelog ===
kdpkg-trinity (4:14.2.0~pre49-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 58781565b36c2b30121d0f2cc60e1e471d903d1d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kdpkg-trinity 14.2.0~pre50

=== debian/changelog ===
kdpkg-trinity (4:14.2.0~pre50-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c19e1538ae5c09f9150f583678cf16a143e53539
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kdpkg

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:03:01 +0100
